<?php
//include 'helpers.inc.php';

function userIsLoggedIn()
{
	if (isset($_POST['action']) and $_POST['action'] == 'login')
	{
		if (!isset($_POST['email']) or $_POST['email'] == '' or
			!isset($_POST['password']) or $_POST['password'] == '')
		{
//gto('Didn\'t pass first condition - Email, Password - ',$_POST['email'] . ', ' . $_POST['password']);
			session_start();
			$_SESSION['loginerror'] = 'Please fill in your email and password carefully.';
			return FALSE;
		}

		$password = md5($_POST['password'] . 'rmtmf');
//gto('starting dbcm func on ', $_POST['email'] . ', ' .$password . '.');
		if (databaseContainsMember($_POST['email'], $password))
		{
			session_start();
			$_SESSION['loggedIn'] = TRUE;
			$_SESSION['email'] = $_POST['email'];
			$_SESSION['password'] = $password;
			unset($_SESSION['loginerror']);
			return TRUE;
		}
		else
		{
			session_start();
			while ($var = each($_SESSION)) 
					{unset($_SESSION[$var['key']]);}
			
/*			unset($_SESSION['loggedIn']);
			unset($_SESSION['email']);
			unset($_SESSION['password']);
			unset($_SESSION['student_id']);
			unset($_SESSION['operators']);
			unset($_SESSION['operator']);
			unset($_SESSION['
*/
			$_SESSION['loginerror'] =
					"The specified email address or password was incorrect.";
			return FALSE;
		}
	}

	if (isset($_POST['action']) and $_POST['action'] == 'logout')
	{
		session_start();
		unset($_SESSION['loggedIn']);
		unset($_SESSION['email']);
		unset($_SESSION['password']);
		header('Location: ' . $_POST['goto']);	//???
		exit();
	}

	session_start();
	if (isset($_SESSION['loggedIn']))
	{
		return databaseContainsMember($_SESSION['email'], $_SESSION['password']);
	}
}

function databaseContainsMember($email, $password)
{
	include 'mfdb.inc.php';

	$email = mysqli_real_escape_string($link, $email);
	$password = mysqli_real_escape_string($link, $password);

	$sql = "SELECT COUNT(*) FROM members
			WHERE email='$email' AND password='$password'";
	$result = mysqli_query($link, $sql);
	if (!$result)
	{
		$error = 'Error searching for member.';
		include 'error.html.php';
		exit();
	}
	$row = mysqli_fetch_array($result);

	if ($row[0] > 0)
	{
		return TRUE;
	}
	else
	{
		return FALSE;
	}
}

function getuserrole()
{
	include 'mfdb.inc.php';

	$email = mysqli_real_escape_string($link, $_SESSION['email']);
	
	$sql = "select a.id\n"
    . "from role as a inner join\n"
    . "(member_role as b, members as c) on\n"
    . "(a.id = b.role_id and\n"
    . "b.member_id = c.id)\n"
    . "where c.email = '" . $email . "'";
	
	$result = get_scalar($sql);
	return $result;
}

function set_session_vals()
{
	include $_SERVER['DOCUMENT_ROOT'] . '/includes/mfdb.inc.php';
	$email = mysqli_real_escape_string($link, $_SESSION['email']);
	
	$sql = "select \n"
    . "a.id as role_id,\n"
    . "a.description as role_desc,\n"
    . "c.id as student_id,\n"
    . "c.type as member_type,\n"
    . "c.first_name as first_name,\n"
    . "c.last_name as last_name\n"
    . "from role as a inner join\n"
    . "(member_role as b, members as c) on\n"
    . "(a.id = b.role_id and\n"
    . "b.member_id = c.id)\n"
    . "where c.email = '" . $_SESSION['email'] . "'";
 
 $result = mysqli_query($link, $sql);
 
 if(!$result)
			{
				$error = 'Error obtaining initial student data.'
					. "<br>Text of query is:<br>".$sql;
				include $_SERVER['DOCUMENT_ROOT'] . '/includes/error.html.php';
				exit();
			}
		else
		{
			$row = mysqli_fetch_array($result);
			$_SESSION['user_role'] = $row['role_id'];
			$_SESSION['role_desc'] = $row['role_desc'];
			$_SESSION['student_id'] = $row['student_id'];
			$_SESSION['member_type'] = $row['member_type'];
			$_SESSION['first_name'] = $row['first_name'];
			$_SESSION['last_name'] = $row['last_name'];
		}
		
//Set where clause for teachers if applicable

	$role_id = $_SESSION['user_role'];
	if ($role_id == 'Teacher' || $role_id == 'Administrator')
	{
		$sql = 'select id from members where teacher_id = ' . $_SESSION['student_id'];
		$result = mysqli_query($link, $sql);
		
		
		if(!$result)
			{
				$error = 'Error obtaining student data for teacher (access.inc.php - 159).'
					. "<br>Text of query is:<br>".$sql;
				include $_SERVER['DOCUMENT_ROOT'] . '/includes/error.html.php';
				exit();
			}
			
			while($row = mysqli_fetch_array($result))
			{
				$whcls .= $row['id'] . ',';
				//gto('whcls is:<br>',$whcls);
			}
			$whcls = substr($whcls,0,-1);	//Trim ending comma
			if(!$whcls)
				$whcls = 'NA';
			else
				$whcls = ' in (' . $whcls . ')';
			$_SESSION['whcls'] = $whcls;
			
	}
}

function unset_sess_vals()
{
	session_start();
			while ($var = each($_SESSION)) 
					{unset($_SESSION[$var['key']]);}
}

function userHasRole($role)
{
	include 'mfdb.inc.php';

	$email = mysqli_real_escape_string($link, $_SESSION['email']);
	$role = mysqli_real_escape_string($link, $role);

	$sql = "SELECT COUNT(*) FROM members as a
			INNER JOIN member_role as b ON b.member_id = a.id
			INNER JOIN role as c ON c.id = b.role_id
			WHERE a.email = '$email' AND c.id='$role'";
	$result = mysqli_query($link, $sql);
	if (!$result)
	{
		$error = 'Error searching for member roles.';
		include 'error.html.php';
		exit();
	}
	$row = mysqli_fetch_array($result);

	if ($row[0] > 0)
	{
		return TRUE;
	}
	else
	{
		return FALSE;
	}
}

?>