<?php session_start();			

    if (strpos($_SERVER['DOCUMENT_ROOT'],'EasyPHP'))
        {
            include_once 'includes/helpers.inc.php';
        }
        else
        {
            include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/helpers.inc.php';
         //   include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/magicquotes.inc.php';
        }

?>

<!doctype html>
 
<html lang="en">
<head>
    <!-- Date Picker control from http://jqueryui.com/datepicker/ -->
    <meta charset="utf-8" />
    <title>Student Assignments</title>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.9.1/themes/base/jquery-ui.css" />
    <script src="http://code.jquery.com/jquery-1.8.2.js"></script>
    <script src="http://code.jquery.com/ui/1.9.1/jquery-ui.js"></script>
    <script src="sprinkle.js"></script>
    <script src="jquery-ui-personalized-1.5.2.packed.js"></script>
    <link rel="stylesheet" href="/resources/demos/style.css" />
   
   <script src="http://www.blueletterbible.org/scripts/blbToolTip/BLB_ScriptTagger-min.js" type="text/javascript"></script>
<script type="text/javascript">
BLB.Tagger.Translation = 'NKJV';
BLB.Tagger.HyperLinks = 'all'; // 'all', 'none', 'hover'
BLB.Tagger.HideVersions = false;
BLB.Tagger.TargetNewWindow = true;
BLB.Tagger.Style = 'par'; // 'line' or 'par'
</script>
   
    <script>
    
    
    $(function() {
        $( "#datepicker" ).datepicker();
    });
    
    $(document).ready(function(){
	$("#hheading").click(function(){
	    $(".htable").fadeToggle("slow");
	    $(".hheading").fadeToggle();
	});
    });
    
    $(document).ready(function(){
	$("#bheading").click(function(){
	    $(".btable").fadeToggle("slow");
	    $(".bheading").fadeToggle();
	});
    });
    
    $(document).ready(function(){
	$("#sheading").click(function(){
	    $(".stable").fadeToggle("slow");
	    $(".sheading").fadeToggle();
	});
    });
    
    $(document).ready(function() {
	$('#tabvanilla > ul').tabs({ fx: { height: 'toggle', opacity: 'toggle' } });
	$('#featuredvid > ul').tabs();
    });
    
    </script>
    <style>
    
    a:-webkit-any-link 
    {
	color: -webkit-link;
	cursor: default;
	select: text;
    }
    table
    {
        border-collapse:collapse;
        width:100%;
    }

    
    
    table, th, td
    {
        border: 1px solid black;
    }
   
    td, th
    {
        padding:5px;
        height:30px;
    }
    td
    {
	vertical-align:middle;
	text-decoration: none;
    }
    h3, h4
    {
	display:inline;
    }
    @media print
    {
	table {page-break-after:always}
	th {color:black}
    }
    * {  
	margin: 0;  
	padding: 0;  
    }  
    body {  
	font-size: 85%;  
	color: #222;  
	background: #ffffff;  
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;  
	/*line-height: 1.1em;  */
    }  
    .widget {  
	width: 95%;  
	margin: 20px;  
	padding: 1px;  
	background: #f3f1eb;  
	border: 1px solid #dedbd1;  
	margin-bottom: 5px;  
    }  
    .widget a {  
	color: #222;  
	text-decoration: none;  
    }  
    /*.widget a:hover {  
	color: #009;  
	text-decoration: underline;  
    } */ 
    .tabnav li {  
	display: inline;  
	list-style: none;  
	padding-right: 5px;  
    }  
    .tabnav li a {  
	text-decoration: none;  
	/*text-transform: uppercase;  */
	color: #222;  
	font-weight: bold;  
	padding: 4px 6px;  
	outline: none;  
    }  
    .tabnav li a:hover, .tabnav li a:active, .tabnav li.ui-tabs-selected a {  
	background: #dedbd1;  
	color: #222;  
	text-decoration: none;  
    }  
    .tabdiv {  
	margin-top: 2px;  
	background: #fff;  
	border: 1px solid #dedbd1;  
	padding: 5px;  
    }  
    .tabdiv li {  
	list-style-image: url("star.png");  
	margin-left: 20px;  
    }  
    .ui-tabs-hide {  
	display: none;  
    }  
     th
    {
        background-color:green;
        color:white;
        text-align:left;
	vertical-align:bottom;
    }
</style>
</head>
<body>

<?php
   
  //      $schooldate = date('m/d/Y');

    if (!isset($_GET["date"])) {
	$schooldate = date('m/d/Y');
    } else {
	$schooldate = $_GET["date"];
    };

    
    //Determine environment        
        if (my_environment() === 'local') {
            $lessonplan_url = 'http://www.raifmt.com/testlessonplan';
            $homework_url = 'http://www.raifmt.com/testhomework';
            
            $lessonplan = file_get_contents($lessonplan_url);
            $lessonplan = shorten_text($lessonplan);
            $lessonplanarray = new_build_array($lessonplan, 'Lesson Plan');
            
            $homework = file_get_contents($homework_url);
            $homework = shorten_text($homework);
            $homeworkarray = new_build_array($homework, 'Homework');
            
            $total_array = array_merge($lessonplanarray,$homeworkarray);

            //array_multisort($total_array[1], SORT_ASC, SORT_STRING);
            uasort($total_array,"new_comparer");
            $new_total_array = array_values($total_array);
            
            new_print_array($new_total_array);
           
        } else {
            $lessonplan_url = "https://sccs-tx.client.renweb.com/parentsweb/public/pw_st_printLessonPlan.aspx?uid=1201595&type=PARENT&sch=&district=SCCS-TX&s=All&sid=0&cid=0&dt=$schooldate&day=0";
            $homework_url = "https://sccs-tx.client.renweb.com/parentsweb/public/pw_st_printHomework.aspx?uid=1201595&type=PARENT&sch=&district=SCCS-TX&s=All&sid=0&cid=0&evt=0&dt=$schooldate&day=0";

            $lessonplan = get_data($lessonplan_url);
            $lessonplan = shorten_text($lessonplan);
            $lessonplanarray = new_build_array($lessonplan, 'Lesson Plan');
            
            $homework = get_data($homework_url);
            $homework = shorten_text($homework);
            $homeworkarray = new_build_array($homework, 'Homework');
            
            $total_array = array_merge($lessonplanarray,$homeworkarray);
            
            uasort($total_array,"new_comparer");                //Sort array by parameters in "comparer"
            $new_total_array = array_values($total_array);  //Reindex array elements after sort
            
            new_print_array($new_total_array);
        }
    
?>
    
</body>
</html>