﻿<?php include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/helpers.inc.php'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	

<html>
<head>
	<title>Student Admin</title>
	<link rel="stylesheet" type="text/css" href="../styles/login.css" />
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
	<script src="../scripts/functions.js" type="text/javascript"></script>
<style>
	#navigation li {
		float:left;
		width:9em;
	}	
	#navigation {
		width:100%;
		position:absolute;
	}
	
	.maincontentwide	{
		padding-left:20px;
	}
	.maincontentwide ul {
		padding-left:20px;
		list-style:none;
	}
	
	.student_config	{
		width:240px;
		text-align:right;
		line-height:2;
	}
	
	.add_student	{
		width:240px;
		text-align:right;
		line-height:2;
	}
	
	.add_student_msg	{
		left:250px;
	}
	
	.button	{
		width:70px;
		font-size:80%;
		text-align:center;
		
	}
	
	.student_config label {
		color:black;
	}
	
	.edit_student_detail	{
		
	}
	
	.edit_student table	{
		width:90%;
	}
	
	.edit_student table th {
		text-align:center;
	}
	
	
</style>

</head>

<body id="mainpage">

<div class="toptitlebar" >Student Admin</div>

<!--Navigation Section-->
<div id="navigation">
	<ul>
	<li><a href="../">Home</a></li>
		
		<?php if ($_SESSION['user_role']=='Administrator' || 
				$_SESSION['user_role']=='Teacher'): ?>
			<li><a href=""
					onmouseover="mopen('admin')" 
					onmouseout="mclosetime()">Student Admin</a>
			<div id="admin" style="display:none;"
				onmouseover="mcancelclosetime()"
				onmouseout="mclosetime()">
					<a href="?add_student">Add Student</a>
					<a href="?configure_student">Configure Student</a>
			</div>
		<?php endif; ?>
	</li>
		
	<li><a href=""		
		onmouseover="mopen('reports')" 
		onmouseout="mclosetime()">Student Reports</a>
			<div id="reports" style="display:none;"
				onmouseover="mcancelclosetime()"
				onmouseout="mclosetime()">
					<a href="?report=student_summary">Student Summary</a>
					<a href="?report=uff">Unlearned Fact Families</a>
					<a href="?report=ff_summary">Fact Family Summary</a>
					<a href="?report=unlearned_ff>Unlearned Fact Families</a>
			</div>
	</li>
	<li><a href="../processlogin.php?mnu_item=log_out">Log Out</a></li>
	</ul>
</div>
<!--End of Navigation Section-->


<div class="maincontentwide">
<!--Configure Students-->
	<?php if ($config): ?>
<!--		Configuring Students will commence shortly. In this case there are
	<?php echo sizeof($config); ?> configuration lines. -->
	<h1>Configure Students</h1>
	<ul>
		<?php foreach($config as $fig): ?>
			<li>
				<form action="" method="post">
					<div class="student_config">
						<?php htmlout($fig['first_name']); ?>
								<!--<td><?php htmlout($fig['operation']); ?></td>-->
						<input type="hidden" name="st_id" value="<?php
							echo $fig['st_id']; ?>"/>
						<!--<input type="hidden" name="operation" value="<?php
							echo $fig['operation']; ?>"/>-->
								<input type="submit" class="button" name="action" value="Edit" />
								<input type="submit" class="button" name="action" value="Delete" />
					</div>
				</form>
				
			</li>
		<?php endforeach; ?><br>
	</ul>
	
<!--Edit Student Config-->
	<?php elseif ($process_type=='edit_student_config'): ?>
	<?php $ops = array('Add','Subtract','Multiply','Divide'); ?>
		<div class="edit_student">
		<h1>Edit Student Configurations for <?php echo $student_fname; ?></h1>
		Lines that are empty have not been configured. Students will not be allowed to
		select an operation until it has been configured here.<br>
		<br>
		<center>
		<table>
			<tr>
				<th>Operation</th>
				<th>Min</th>
				<th>Max</th>
				<th>T. Limit</th>
				<th>T. Target</th>
				<th>Min Probs</th>
				<th>Sess Probs</th>
				<th>Action</th>
			</tr>
		<?php for ($count=0; $count<=3; ++$count): ?>
				<tr>
				<form action="" method="post">
					<td><?php echo $ops[$count]; ?></td>	<!--insert operator-->
					<!--<td>Size of array is: <?php echo sizeof($student_config); ?></td>-->
					<!--Determine if data for operation exists-->
					<?php if(sizeof($student_config)>0)
						{
							$cfgop = "";
							foreach($student_config as $cfg)
							{
								if($cfg['operation']==$ops[$count])
									{
										$cfgop = $cfg;
									}
							}
						}
						?>

					<td><input type="text" name="min" id="min" class="button" value="<?php 
									htmlout($cfgop['min_number']); ?>" /></td>
					<td><input type="text" name="max" id="max" class="button" value="<?php 
									htmlout($cfgop['max_number']); ?>" /></td>
					<td><input type="text" name="time_limit" id="time_limit" class="button"  
						value="<?php htmlout($cfgop['time_limit']); ?>" /></td>
					<td><input type="text" name="time_target" id="time_target" class="button" 
						value="<?php htmlout($cfgop['time_target']); ?>" /></td>
					<td><input type="text" name="min_times" id="min_times" class="button" value="<?php 
									htmlout($cfgop['min_times']); ?>" /></td>
					<td><input type="text" name="number_problems" id="number_problems" class="button" 
						value="<?php htmlout($cfgop['num_probs']); ?>" /></td>
					<td><input type="submit" name="st_cfg_edit" class="button"
							value="<?php if($cfgop['min_number']=="")
											echo Insert;
										else
										echo Update; ?>" />
						<?php if($cfgop['min_number']!=""): ?>
							<input type="submit" name="st_cfg_edit" class="button"
							value="Delete" /><?php endif; ?>
					</td>
					<input type="hidden" name="st_id" value="<?php echo $cfgop['st_id']; ?>" />
					<input type="hidden" name="operation" value="<?php echo $ops[$count]; ?>" />		
				</form>
				</tr>
		<?php endfor; ?>
	</table></center><br>

<div class="edit_student_detail">
	<b>Min</b> and <b>Max</b> represent the range of numbers in problems for the
	student. The greater the difference between the two, the greater the number of
	problems. In the range 0-9, the student will encounter 100 total problems from
	55 different fact families. The available range for minimum and maximum numbers 
	is 0-40.<br>
	<b>T. Limit</b> is not used at this time.<br>
	<b>T. Target</b> is the average time limit that must be met for a fact family in
	order for it to stop being displayed to the student.<br>
	<b>Min Probs</b> is the minimum number of times that a student will encounter
	a problem. Thus, in order for students to stop encountering a given fact
	family, they must answer problems relating to it at least the number of times
	given in <b>Min Probs</b>, and must have an average time for that fact family
	that is less than what is specified in <b>T. Target</b>.<br>
	<b>Sess Probs</b> specifies how many problems a student will encounter in one 
	practice session.<br><br>
</div>
			
<!--Add Student-->
	<?php elseif (isset($teacher_id)): ?>
		<h1>Add Student</h1>
		<form action="" method="post">
		<div class="student_config">
			<div>
				<label for="first_name">First Name: <input type="text" name="first_name"
					id="first_name" /></label>
			</div>
			<div>
				<label for="last_name">Last Name: <input type="text" name="last_name"
					id="last_name" /></label>
			</div>
			<div>
				<label for="email">Email/Username: <input type="text" name="email"
					id="email" /></label>
			</div>
			<div>
				<label for="password">Password: <input type="password" name="password"
					id="password" /></label>
			</div>
			<div>
				<input type="hidden" name="action" value="add_student" />
				<input type="submit" value="Add Student" /><br>
			</div>
		</div>
		</form>
		<br>
			Be sure to configure students after adding them. Select "Configure Student" from the 
			Student Admin menu option.
<!--End of Add Student-->			

<!--Display Session Details-->
	<?php elseif ($process_type=="display_session"): ?>
	<h2>
		Results from Session <?php htmlout($session[0]['session_id']); ?> 
	</h2>
	<br>
	<!--
	<h3>
		Session was completed <?php htmlout($session[0]['Date']); ?>, by
		<?php htmlout($session[0]['Name']); ?>, practicing 
		<?php htmlout($session[0]['operation']); ?>
		problems, with the following results:
	</h3>
	-->
	<table>
		<tr>
			<th>Fact Family</th>
			<th>Time</th>
		</tr>
	<?php foreach($session as $rslt): ?>
		<tr>
			<td><?php htmlout($rslt['ff']); ?></td>
			<td><?php htmlout($rslt['time']); ?></td>
		</tr>
	<?php endforeach; ?>
	</table>

<!--End of Display Session Details-->

<!--Unlearned Fact Family Details-->
	<?php elseif ($process_type=="uff"): ?>
	<br>
	<h2><center>
		Unlearned Fact Families
	</h2></center>
	
	<center>
	<table>
		<tr>
			<th>Student</th>
			<th>Operation</th>
			<th>Family</th>
			<th>Times Worked</th>
			<th>Average</th>
			<th>Min Iters</th>
			<th>Target Time</th>
		</tr>
		<?php foreach($uff as $rslt): ?>
		<tr id="la">
			<td><?php echo "<a href=\"?report=uff&uff_st_id="
						. html($rslt['st_id'])
						. "\">" . html($rslt['student']) . "</a>"; ?></td>
						
			<td><?php htmlout($rslt['operation']); ?></td>
			
			<td><?php echo "<a href=\"?report=ff_details&uff_st_id="
						. html($rslt['st_id'])
						. "&uff_operation="
						. html($rslt['operation'])
						. "&uff_ff_id="
						. html($rslt['ff_id']) 
						. "\">" . html($rslt['family']) . "</a>"; ?></td>
			
			<td><?php htmlout($rslt['num']); ?></td>
			<td><?php htmlout($rslt['avg']); ?></td>
			<td><?php htmlout($rslt['iters']); ?></td>
			<td><?php htmlout($rslt['mintime']); ?></td>
		</tr>
		<?php endforeach; ?>
	</table>
	</center>

<!--End of Unlearned Fact Family-->

<!--Fact Family Details by Student, Operation-->
	<?php elseif($process_type=="uff_st_results"): ?>
	<br>
	<h2><center>
	Fact Family Details for <?php htmlout($st_name); ?></h2><br>
		<center><h3>on Fact Family (<?php htmlout($ff_name); ?>)</h3>
	</center>
	
	<center>
	<table>
		<tr>
			<th>Date</th>
			<th>Session</th>
			<th>Elapsed Time</th>
		</tr>
		<?php foreach($uff_st_results as $rslt): ?>
		<tr id="la">
			<td><?php htmlout($rslt['date']); ?></td>
			<td><?php htmlout($rslt['session_id']); ?></td>
			<td><?php htmlout($rslt['elapsed_time']); ?></td>
		</tr>
		<?php endforeach; ?>
	</table>
	</center>

<!--End of Fact Family Details-->

<!--Display error message if set-->
	<?php elseif($errmsg!=""): ?>
		<?php $errmsg = '<center><br><br><font color="red">'.$errmsg.'</font><br><br><br></center>';
					echo $errmsg;
					$errmsg="";
		?>

<!--Notify user if no students have been added for this teacher.-->
	<?php elseif($whcls=='NA'): ?>
		<?php $errmsg = 'No students have been added.'; 
		$errmsg = '<center><br><br>'.$errmsg.'<br><br><br></center>';
		echo $errmsg;
	?>

<!--Notify user if students have not completed practice sessions.-->
	<?php elseif(empty($summary)): ?>
		<?php $errmsg = 'Student data is not yet available.'; 
		$errmsg = '<center><br><br>'.$errmsg.'<br><br><br></center>';
		echo $errmsg;
	?>

<!--Summary Report-->	
	<?php elseif($summary): ?>
	<br>
	<center>
	<h2>Student Summary Report</h2>
		<table>
		<tr>
			<th>Session</th>
			<th>Date</th>
			<th>Name</th>
			<th>Type</th>
			<th>Probs</th>
			<th>Range</th>
			<th>Right</th>
			<th>Wrong</th>
			<th>Avg Time</th>
			<th>&lt; 5 secs</th>
			<th>&lt; 3 secs</th>
		</tr>
		<?php foreach($summary as $rslt): ?>
		<tr id="la">
			<td><?php echo "<a href=\"?sess_id="
						. html($rslt['SessID'])
						. "\">" . html($rslt['SessID']) . "</a>"; ?></td>
						
			<td><?php htmlout($rslt['Date']); ?></td>
			
			<td><?php echo "<a href=\"?st_id="
						. html($rslt['St_ID']) 
						. "\">" . html($rslt['Name']) . "</a>"; ?></td>
			
			<td><?php htmlout($rslt['Type']); ?></td>
			<td><?php htmlout($rslt['Problems']); ?></td>
			<td><?php htmlout($rslt['Range']); ?></td>
			<td><?php htmlout($rslt['Correct']); ?></td>
			<td><?php htmlout($rslt['Wrong']); ?></td>
			<td><?php htmlout($rslt['Avg']); ?></td>
			<td><?php htmlout($rslt['< 5 secs']); ?></td>
			<td><?php htmlout($rslt['< 3 secs']); ?></td>
		</tr>
		<?php endforeach; ?>
	</table>
</center>

	
	<?php endif; ?>
</div>
</body>

</html>