<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

function html($text)
{
	return htmlspecialchars($text, ENT_QUOTES, 'UTF-8');
}

function htmlout($text)
{
	echo html($text);
}

//Section added from backup on April 4, 2013

function get_scalar($sql)
{
	include $_SERVER['DOCUMENT_ROOT'] . '/includes/mfdb.inc.php';
	$rslt = mysqli_query($link, $sql);
		if(!$rslt)
		{
			$error = 'Application had difficulty retrieving from the database. <br />'
						 . 'Text of the attempted query follows: <br />'
						 . $sql . "<br>--------End of Query-------<br>";
			include 'error.html.php';
			exit();
		}
		
		if(mysqli_num_rows($rslt) <> 1)
			return "";
		else
		{
			$row = mysqli_fetch_array($rslt);
			$returnval = $row[0];
			return $returnval;
		}
	
}

function dump($data) {
    if(is_array($data)) { //If the given variable is an array, print using the print_r function.
        print "<pre>-----------------------\n";
        print_r($data);
        print "-----------------------</pre>";
    } else/*if (is_object($data)) {
        print "<pre>==========================\n";
        var_dump($data);
        print "===========================</pre>";
    } else*/ {
        //print "==================\n";
        var_dump($data);
        //print "\n============================";
    }
} 


/*function dump($value,$level=0)
{
  if ($level==-1)
  {
    $trans[' ']='&there4;';
    $trans["\t"]='&rArr;';
    $trans["\n"]='&para;;';
    $trans["\r"]='&lArr;';
    $trans["\0"]='&oplus;';
    return strtr(htmlspecialchars($value),$trans);
  }
  if ($level==0) echo '<pre>';
  $type= gettype($value);
  echo $type;
  if ($type=='string')
  {
    echo '('.strlen($value).')';
    $value= dump($value,-1);
  }
  elseif ($type=='boolean') $value= ($value?'true':'false');
  elseif ($type=='object')
  {
    $props= get_class_vars(get_class($value));
    echo '('.count($props).') <u>'.get_class($value).'</u>';
    foreach($props as $key=>$val)
    {
      echo "\n".str_repeat("\t",$level+1).$key.' => ';
      dump($value->$key,$level+1);
    }
    $value= '';
  }
  elseif ($type=='array')
  {
    echo '('.count($value).')';
    foreach($value as $key=>$val)
    {
      echo "\n".str_repeat("\t",$level+1).dump($key,-1).' => ';
      dump($val,$level+1);
    }
    $value= '';
  }
  echo " <b>$value</b>";
  if ($level==0) echo '</pre>';
}*/

/*GTO - Get Test Output
	Created September 19, 2009
	Raif M. Turner (rmt@raifmt.com)
	Use gto(Subheading, IntVariable, TestVariable) for Testing
	Call with the Get Method - ?debug=IntVariable
	Use Subheading to identify contents of TestVariable
*/
function gto($subhd,$svar="",$ivar=0) {

//If variables not given, set $svar to one of the common variables used
		if (!$svar)
		{
			if ($tr)
				$svar = $tr;
			elseif ($testresults)
				$svar = $testresults;
			else
				$svar = 'No variable data set.';
		}
				$error = $svar;
				
//If integer is 0, set $error = $svar and echo the results
	if ($ivar==0)
	{
		include $_SERVER['DOCUMENT_ROOT'] . '/includes/error.html.php';
		exit();
	}
		
	if (isset($_GET['debug']) and $_GET['debug']==$ivar)
		{
			$error = $svar;
			include $_SERVER['DOCUMENT_ROOT'] . '/includes/error.html.php';
			exit();
		}
	}
	
// -- End of Secion copied on April 4, 2013

function my_environment () 
        {
            $local = '';    //Initialize var
            if (strpos($_SERVER["SCRIPT_FILENAME"],'mybmanet')) {
                $local = 'web';
            } else {
                $local = 'local';
            }
            return $local;
        }

    
function get_data($url)
        {
          // Initialize session and set URL.
          $ch = curl_init();
          curl_setopt($ch, CURLOPT_URL, $url);
          curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
//        curl_setopt($ch, CURLO, true);

          // Set so curl_exec returns the result instead of outputting it.
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

          // Get the response and close the channel.
          $response = curl_exec($ch);
          curl_close($ch);
        return $response;
       }
 
 function clean_string($dirtystring)
 //Remove unwanted text from $dirtystring
        {
           //Remove beginning '>'
            if (substr($dirtystring,0,1)==='>') $dirtystring = substr($dirtystring,1);
           //Remove nbsp; from string
            while (strpos($dirtystring,'nbsp;')):
                $dirtystring = substr($dirtystring,
                        strpos($dirtystring,'nbsp') + 5);
            endwhile;
           //Remove trailing spaces
            while (substr($dirtystring,-1)===' ') {
                    $dirtystring = substr($dirtystring,0,-1);
            }
           //Remove trailing line breaks
            while (substr($dirtystring,-4)==='<br>') {
                    $dirtystring = substr($dirtystring,0,-4);
            }
            return $dirtystring;
        }
        
function shorten_text ($longtest) 
    {
        $pos1 = strpos($longtest, 'span id="printTableSpan"');
        $pos2 = strpos($longtest, 'span id="printGridSpan"');

    //Start processing text near location of table information  
        $shorttext = substr($longtest,$pos1,$pos2-$pos1);
        
    return $shorttext;
}

function new_build_array($resp, $lp_or_hw) {
    //Process remaining text and build array
    //Initialize variables
        $curpos = 1;
        $curtype = '';  //Will be either Lesson Plan or Homework
        $curdate = '';    
        $curtitle = '';   
        $cursummary = ''; 
        $nextdate = '';   
        $nexttitle = '';
        $curstudent = '';
        $curtype = $lp_or_hw;
        $array = array();
        $arrcount = 0;
    //Find each date in text, beginning at a certain point    
        while (strpos($resp, 'date">',$curpos)!=0):
            $curpos = strpos($resp,'date">',$curpos) + 5;
            $endpos = strpos($resp,'</',$curpos);
            $curdate = substr($resp,$curpos,$endpos-$curpos);
            $curdate = clean_string($curdate);
    //Get separate strings for date and day
            $curdatesub = substr($curdate,0,10);
            $curdaysub = substr($curdate,13);
            $curpos = $endpos;
            //Get position of next date string to locate section for title and summary
            $nextdate = strpos($resp,'date">',$curpos);
    //Get each class title from the following section.        
        while (strpos($resp,'title">',$curpos)!=0 and 
                strpos($resp,'title">',$curpos) < $nextdate):
            $curpos = strpos($resp,'title">',$curpos) + 6;
            $endpos = strpos($resp,'</',$curpos);
            $curtitle = substr($resp,$curpos,$endpos-$curpos);
            $curtitle = clean_string($curtitle); 
    //Separate student name from class name
        if (strpos($curtitle,':')!=0):
            $curstudent = substr($curtitle,0,strpos($curtitle,':'));
            $curtitle = substr($curtitle,strpos($curtitle,':')+2);
        endif;
                    
        $curpos = $endpos;
        $nexttitle = strpos($resp,'title">',$curpos);
           
    //If class title has summary, add it and the other vars to array
        if (strpos($resp,'summary">',$curpos)!=0 and
                strpos($resp,'summary">',$curpos)<$nexttitle):
            $curpos = strpos($resp,'summary">',$curpos) + 8;
            $endpos = strpos($resp,'</',$curpos);
            $cursummary = substr($resp,$curpos,$endpos-$curpos);
            $cursummary = clean_string($cursummary);
    
    //Format variable
	$cursummary = format_variable($cursummary);
	
    //Add to array Date, Day of Week, Student Name, Title of Class, Lesson/Homework, Details of Assignment
        array_push ($array, array($curdatesub, $curdaysub, $curstudent, $curtitle, $curtype, $cursummary));
        $curpos = $endpos;
        endif;
        endwhile;   //Loop for title 
        endwhile;   //Loop for date
    
    return $array;
} 
//  *************************Currently Being Developed ***************************
function format_variable($orig_var) {
    //Configure variables
	$arrTermsToBold = array(' test','due','test ','quiz', 'assessment', 'write spelling');
	
    //Remove excess line breaks
        while (strpos($orig_var,'<br><br>')!=0):
            $orig_var = str_replace('<br><br>','<br>',$orig_var);
        endwhile;
//	    $orig_var = str_ireplace('tlw:','',$orig_var);
//	    $orig_var = str_ireplace('tlw','',$orig_var);

    //Lengthen lines with only one or two words
	if (substr_count($orig_var,'<br>')>18) {
	    $brcount = substr_count($orig_var,'<br>');	//Set number of breaks
	    $brpos = 0;					//Position of next break
	    $j = 0;					//Number for Current break 
	    while ($j < $brcount) {
		$brpos = strpos($orig_var,'<br>',$brpos);
		$brpos +=1; //Insure it moves to the next <br> on following iteration
		$j +=1;
		if ($j !== 1 && $j % 5 !==0) {
		    //$brcount -=1;
		    //$orig_var = substr($orig_var,0,$brpos-1) + substr($orig_pos,$brpos+5);
		    $string_a = substr($orig_var,0,$brpos-1);
		    $string_b = substr($orig_var,$brpos+3);
		    $orig_var = $string_a . ', ' . $string_b;
		}
	    }
	}
	
	
    //Make array for each line in variable
	$arrtemp = explode('<br>',$orig_var);
	
    //Delete 'TLW' lines or 'TLW:' from beginning of line
	$icount = 0;
	while ($icount < count($arrtemp)) {
	    $mytemp = $arrtemp[$icount];
	    if (strpos($arrtemp[$icount],'TLW') !== false) {		//TLW exists
		//Get offset depending on whether TLW has colon
		if (stripos($arrtemp[$icount],'tlw:') !== false) {
		    $myoffset = 4;
		} else {
		    $myoffset = 3;
		}
		if (strlen($arrtemp[$icount])<10) {			//Delete short line
		    unset($arrtemp[$icount]);
		    $icount +=2;
		}
		else {
		    $arrtemp[$icount] = substr($arrtemp[$icount],$myoffset);	//Leave remainder of line
		}
		
	    } else {
		//Bold lines in array with certain terms
		foreach($arrTermsToBold as $term) {
		    //if (strpos(strtolower($arrtemp[$icount]),$term) !== false) {
		    if (stripos($arrtemp[$icount],$term) !== false) {
			$arrtemp[$icount] = '<b>' . $arrtemp[$icount] . '</b>';
		    } 
		}
		$icount +=1;
	    }
	}
 	
    $modified_var = implode('<br>',$arrtemp);	
    return $modified_var;
}

//Taken from http://stackoverflow.com/questions/5198276/php-multiple-uasort-functions-breaks-sorting/5198370#5198370
/* Commented Out on December 7, 2012 to work on new version which sorts first by child name
function new_comparer($first, $second) {
    // Compare first level items (Date)
    if ($first[0] < $second[0]) {
        return -1;
    }
    else if ($first[0] > $second[0]) {
        return 1;
    }
 // Skip second level which is day of week
 // Compare third level items (Student)
    if ($first[2] < $second[2]) {
        return -1;
    }
    else if ($first[2] > $second[2]) {
        return 1;
    }
    
 // Compare fourth level items (Class)
    if ($first[3] < $second[3]) {
        return -1;
    }
    else if ($first[3] > $second[3]) {
        return 1;
    }
 
 // Compare fifth level items (Type)
 // Have this one return items in reverse order so that Lesson Plan comes first
    if ($first[4] < $second[4]) {
        return 1;
    }
    else if ($first[4] > $second[4]) {
        return 1;
    }
    
 // No more sort criteria. The two elements are equal.
    return 0;
}   */

function new_comparer($first, $second) {
 // Compare third level items (Student)
    if ($first[2] < $second[2]) {
        return -1;
    }
    else if ($first[2] > $second[2]) {
        return 1;
    }
    
 // Compare first level items (Date)
    if ($first[0] < $second[0]) {
        return -1;
    }
    else if ($first[0] > $second[0]) {
        return 1;
    }
 // Skip second level which is day of week
 // Compare fourth level items (Class)
    if ($first[3] < $second[3]) {
        return -1;
    }
    else if ($first[3] > $second[3]) {
        return 1;
    }
 
 // Compare fifth level items (Type)
 // Have this one return items in reverse order so that Lesson Plan comes first
    if ($first[4] < $second[4]) {
        return 1;
    }
    else if ($first[4] > $second[4]) {
        return 1;
    }
    
 // No more sort criteria. The two elements are equal.
    return 0;
}

function get_dates() {
    if (!isset($_GET['date'])){
	$curweek = strtotime(date('m/d/Y'));
    } else {
	$curweek = strtotime(date($_GET['date']));
    }
    
    $nextweek = strtotime('+1 week',$curweek);
    $prevweek = strtotime('-1 week',$curweek);
    
    return $date_array = array("curweek"=>$curweek, "nextweek"=>$nextweek, "prevweek"=>$prevweek);


}
function new_print_array($total_array) {
 // Array includes [0]Date, [1]Weekday, [2]Student, [3]Class, [4]Lesson/Homework, [5]Details of Assignment
    $i = 0;
    $j = 0;
    $classnext = '';
    $arrtemp = array();
    $array = $total_array;
    $termstobold = array('test', 'quiz','due ');// Not used - See line 144
    $tmpcombo = '';
    $init = '';
    $arrdates = get_dates();  
    //Insert Header Info
    Echo "<div id=\"dateranges\" class=\"widget\">";
    echo "<ul class=\"tabnav\">";
//    Echo "<li><a href=?tst=" .  Date("m/d/Y", strtotime("last Monday")) . ">Last Week</a></li>";
    Echo "<li><a href=?date=" .  Date("m/d/Y", $arrdates['prevweek']) . ">Previous Week</a></li>";
//    echo "<li><a href=?tst=" .  Date("m/d/Y", strtotime("next Monday")) . ">Next Week</a></li>";
    Echo "<li><a href=?date=" .  Date("m/d/Y", $arrdates['nextweek']) . ">Next Week</a></li>";
    echo "<li><a href=\"http://www.rrsbh.com\" target=\"new\">Links to Original Files</a></li>";
    echo "<li><a href=\"http://www.southcrestchristianschool.org \" target=\"new\">SCS</a></li>";
    echo "</ul></div>";
    echo "<div id=\"tabvanilla\" class=\"widget\">";
	echo "<ul class=\"tabnav\">";
//	echo "<li><a href=\"#Briana\">Briana</li>";	
	echo "<li><a href=\"#Hayley\">Hayley</li>";	
	echo "<li><a href=\"#Seth\">Seth</li>";
	//Echo "<li><a href=?tst=" .  Date("m/d/Y", strtotime("next Monday")) . ">Next Monday</a></li>";
	echo "</ul>";
	//echo "<br><br>";
    //End of Header 
	
    for ($i = 0; $i < count($array); $i++) {					    //Loop through array
	    $init = strtolower(substr($array[$i][2],0,1));			    //Get first letter of name to use for ids
            //On first element insert all items and begin table
		if ($i===0 or $array[$i][2]<>$array[$i-1][2]) {			    //If first element or next student
		    echo '<div id="' . $array[$i][2] . '" class="tabdiv">';
		}
		    
		if ($i===0 or $array[$i][0]<>$array[$i-1][0]) {			    //First element or new date
		    echo '<h4>' . $array[$i][1] . ', ' . $array[$i][0] . '</h4><br>';	//Add Weekday and Date
		
		    //echo ', ' . $array[$i][0] . '</h4><br>';			    //Add Date and close heading
		
		    echo '<table class="' . $init . 'table">';			    //Begin table definition
		    echo '<tr><th><b>Class Name</b></th>';			    //Begin table header info
		    echo '<th>Lesson Plan</th>';				    //Insert Lesson Plan header info
		    echo '<th>Homework</th></tr>';				    //Insert Homework header info Finish table header row		
		}
            //Determine if next line is for same class
		if ($i < count($array) && $array[$i+1][3]===$array[$i][3]) {	    //Next array item is same class, so it has homework info for this class
		   if ($array[$i][4]==='Lesson Plan') {
			$arrtemp = array($array[$i][3], $array[$i][5], $array[$i+1][5]);
		    } else {
			$arrtemp = array($array[$i][3], $array[$i+1][5], $array[$i][5]);
		    }
		    $i+=1;							    //Increment counter to skip next line
		} elseif ($array[$i][4]==='Lesson Plan') {			    //Next item is different class, and current item's data is for Lesson Plan
		    $arrtemp = array($array[$i][3], $array[$i][5], '');		    
		} else {							    //Next item is different class, and current item's data is for Homework
		    $arrtemp = array($array[$i][3], '', $array[$i][5]);
		}
		
		echo '<tr><td><p>' . implode('</p></td><td><p>',$arrtemp) . '</p></td></tr>';	    //Insert line for class and Lesson Plan/Homework details
		
	//Close table on new date
		if ($array[$i+1][0]<>$array[$i][0]) {
		    echo '</table><br>';
		}
	//Close div on new student
		if ($array[$i+1][2]<>$array[$i][2]) {
		    echo '</div>';						    //Close student div
		}
    }	//for ($i = 0; $i < count($array); $i++)
		 
echo "</div>";	//--widget--


}

?>