<?php session_start();
			include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/helpers.inc.php';
			include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/magicquotes.inc.php';
			//gto('Error message in strsess is ',$_SESSION['loginerror'] . '.',1);
			//gto('Operations for this member are:',$_SESSION['operations'],2);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        
<html xml:lang="en" xmlns="http://www.w3.org/1999/xhtml" lang="en" >

<head>
		
	<title>Learning Math Facts</title>
	
	<link rel="stylesheet" type="text/css" href="styles/login.css" />

	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	
	<meta http-equiv="Content-Style-Type" content="text/css" />

	<script src="scripts/functions.js" type="text/javascript"></script>
<style>
/*Section required due to difference in path for this file*/
#mainpage	{
	background-image: url(images/mfbg_page.png);	
}
</style>
		
		
</head>

<body id="mainpage">
	<?php 
			if (isset($_SESSION['first_name']))
			{
				$greeting = "Welcome to Math Facts, " . $_SESSION['first_name'] . "!";
				$_SESSION['status_one'] = $_SESSION['first_name'] . " is currently logged in";
			}
			else
			$greeting = "Welcome to Math Facts!";	
			?>
			
<div class="toptitlebar">Learning Fact Families</div>

	<div class="topright">
	<?php if ($_SESSION['loggedIn']): ?>
	<?php	$status = $_SESSION['status_one'];
		if ($_SESSION['status_two'])
		{
			if ($_SESSION['operator']=='Add')
				$op = 'Addition';
			elseif ($_SESSION['operator']=='Subtract')
				$op = 'Subtraction';
			elseif ($_SESSION['operator']=='Multiply')
				$op = 'Multiplication';
			else
				$op = 'Division';
			$status .= ',<br>is working on ' . $op . ' problems,<br>';
			$status .= 'and has ' . $_SESSION['status_three'] . ' unlearned fact families.';
		}
		?>
	<?php	echo $status; ?>
	<?php else: ?>
		
	<form action="processlogin.php" method="post">
		<table>
			<tbody>
			<tr>
				<th><label for="email">Email</label></th>
				<th><label for="password">Password</label></th>
			</tr>
			<tr>
				<td><input tabindex="1" name="email" id="email" type="text" /></td>
				<td><input tabindex="2" name="password" id="password" type="password" /></td>
				<td><input name="action" value="login" type="hidden" /></td>
				<td><input value="Login" tabindex="2" type="submit" style="width:4em;" /></td>
			</tr>
		</tbody>
		</table>			
	</form> 
	<?php endif; ?>
</div>


<div id="navigation">
	<ul>
		<li><a href="http://www.raifmt.com/mathfacts/">Home</a></li>
		<li><a href="intro">Site Introduction</a></li>
		<li><a href="display_results">View Your Progress</a></li>
		<li><a href="study">Study Math Facts</a></li>

		<li><a href="practice/">Practice Math Facts</a>
		<li><a href="#"
					onmouseover="mopen('operations')" 
					onmouseout="mclosetime()">Select Fact Type</a></li>
		<div id="operations" style="display:none;"
					onmouseover="mcancelclosetime()"
					onmouseout="mclosetime()">
			<ul visible="false">
				
				<?php if(isset($_SESSION['operators'])): ?>
				<?php $operators = $_SESSION['operators']; ?>
				<?php foreach ($operators as $op): ?>	
					<li>
						<a href="processlogin.php?set_op=
							<?php htmlout($op['operation']); 
						echo "\">"; 
						htmlout($op['operation']); ?></a>
				</li>
					
				<?php endforeach; ?>
				<?php endif; ?>
			</ul>
		</div>

		<?php if ($_SESSION['user_role']=='Administrator' || 
				$_SESSION['user_role']=='Teacher'): ?>
			<li><a href="students">Student Admin</a></li>
		<?php endif; ?>
<!--		<?php if ($_SESSION['user_role']=='Administrator'): ?>
			<li><a href="#">Administration</a></li>
		<?php endif; ?>		
-->
		<li><a href="processlogin.php?mnu_item=log_out">Log Out</a></li>
	</ul>
</div>

<p class="intro"><br><br>
		<?php if (isset($_SESSION['loginerror']))
					{
						echo $_SESSION['loginerror']; 
						unset($_SESSION['loginerror']);
					}			
					else
						echo $greeting; ?>
</p>

</body>

</html>