<?php session_start();
			include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/helpers.inc.php';
			include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/magicquotes.inc.php';
			//gto('Error message in strsess is ',$_SESSION['loginerror'] . '.',1);
			//gto('Operations for this member are:',$_SESSION['operations'],2);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        
<html xml:lang="en" xmlns="http://www.w3.org/1999/xhtml" lang="en" >

<head>
		
	<title>Learning Math Facts</title>
	
	<link rel="stylesheet" type="text/css" href="../styles/login.css" />

	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	
	<meta http-equiv="Content-Style-Type" content="text/css" />

	<script src="scripts/functions.js" type="text/javascript"></script>
	
	<style>
		.maincontent h2 {padding-top:10px;}	
	</style>
		
</head>

<body id="mainpage">
	
<div class="toptitlebar">Introduction to Site</div>
	
<?php include $_SERVER['DOCUMENT_ROOT'] . '/includes/navigation.html.php'; ?>

<div class="topright">
	<?php if ($_SESSION['loggedIn']): ?>
	<?php	$status = $_SESSION['status_one'];
		if ($_SESSION['status_two'])
		{
			if ($_SESSION['operator']=='Add')
				$op = 'Addition';
			elseif ($_SESSION['operator']=='Subtract')
				$op = 'Subtraction';
			elseif ($_SESSION['operator']=='Multiply')
				$op = 'Multiplication';
			else
				$op = 'Division';
			if ($_SESSION['status_three']==1) 
				$family = 'family';
			else
				$family = 'families';
			$status .= ',<br>learning ' . $op . ' fact families,<br>';
			$status .= 'and has ' . $_SESSION['status_three'] . ' unlearned ' . $family . '.';
		}
		?>
	<?php	echo $status; ?>
	<?php endif; ?>
</div>
	<?php 
			if (isset($_SESSION['first_name']))
			{
				$greeting = "Welcome to Math Facts, " . $_SESSION['first_name'] . "!";
				$_SESSION['status_one'] = $_SESSION['first_name'] . " is currently logged in";
			}
			else
			$greeting = "Welcome to Math Facts!";	?>

<div class="maincontent">
<br>
		<?php if (isset($_SESSION['loginerror']))
					{
						echo htmlout($_SESSION['loginerror']); 
						unset($_SESSION['loginerror']);
					}			
					else
						echo $greeting; ?>

<h2>Fact Families</h2>
A Fact Family is three related numbers that have four (or two) 
addition and subtraction, or multiplication and division facts. 
Understanding the fact families increases when students have
the opportunity to recognize the inverse relationships within these 
families (e.g. 4+8=12 and 12-8=4).<br>
Multiplication and division fact families resemble those of addition
and subtraction with the exception that there are no division families 
where zero is a divisor. <br>

<h2>Reason for Site</h2>
I developed this site for my children to use in learning their basic math facts for 
addition, subtraction, multiplication, and division. (While I was doing it, I went
ahead and added fact families for numbers up to 40 so that adults could also work
on extending their own preliminary knowledge.)<br>
The application keeps track of the answers provided by students and the amount of 
time that it takes to answer each question. Once students have answered questions
on a given math fact a minimum number of times, and under a maximum average time,
they will no longer be quizzed on that particular fact family.<br>
The application provides opportunities for teachers or parents to configure parameters
for each student. For example, a parent or teacher
can determine the lowest and highest numbers (minimum of 0 and maximum of 40) which the 
student will see. In addition, the teacher can set the minimum number of times 
the student must answer a question and the maximum average time the student must maintain
in order to have mastered that fact family.<br>
Once the student has encountered the problem at least that many times, and has answered the
problems quickly enough that his average time is under the maximum allowed time, he
will no longer encounter questions about that fact family. In this way, students will
continue to encounter only the fact families they have not learned.<br>

<h2>Visitor Log-In</h2>
I have no idea if this site would be useful to anyone outside my family. If it is, you
may login from the homepage using username and password of "visitor" 
(without the quotes, obviously). This will allow you to see what a student 
would find when using the site.<br>
</div>

</body>

</html>