<?php
/*Controller Code for Displaying the Results of the Math Facts Tool*/

/*
	Use gto(Subheading, IntVariable, TestVariable) for Testing
	Call with the Get Method - ?debug=IntVariable
	Use Subheading to identify contents of TestVariable
*/
	session_start();
	
	include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/magicquotes.inc.php';
	include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/helpers.inc.php';
	include_once $_SERVER['DOCUMENT_ROOT'] . '/includes/access.inc.php';
	
if (!userisloggedin())
{
	$_SESSION['loginerror'] = "You must log in to view the study page.";
  header('Location: ../');
  exit(); 
}
//echo 'At first of page, $_SESSION[ff_index] is ' . $_SESSION['ff_index'] . '.<br />';
if (!isset($_POST['nextff']))
{
//echo '   $Post(nextff) value was not found <br /><br />';
		//If session ff_index not set, get unlearned fact families for student who is logged in
		//if (!isset($_SESSION['ff_index']))

			$st_id = $_SESSION['student_id'];
			if ($st_id=='')		//Student_id not available
			{
				$_SESSION['loginerror'] = "You must log in to view the study page.";
  			header('Location: ../');
  			exit(); 
  		}
  		
			include $_SERVER['DOCUMENT_ROOT'] . '/includes/mfdb.inc.php';
		//Select unlearned facts of current student
			$sql = 'SELECT '
	        . ' a.first_number as fnum,'
	        . ' a.second_number as snum,'
	        . ' a.third_number as tnum,'
	        . ' a.operation as op'
	        . ' FROM '
	        . ' fact_family a inner join'
	        . ' unlearned_ff_vw as b on'
	        . ' b.ff_id = a.id'
	        . ' where b.st_id = ' . $st_id
	        . ' and b.operation = \'' . $_SESSION['operator'] . '\'';

gto('Text of query',$sql,1);
	          
	//Fill array with student's results
	
			$result = mysqli_query($link, $sql);
			
				if(!$result)
				{
					$error = 'Error obtaining unlearned fact families for student.'
								 . '<br>Text of query follows:<br>' . $sql;
					include $_SERVER['DOCUMENT_ROOT'] . '/includes/error.html.php';
					exit();
				}
				
				while ($row = mysqli_fetch_array($result))
				{
					$families[] = array(
						'fnum' => $row['fnum'],
						'snum' => $row['snum'],
						'tnum' => $row['tnum'],
						'op' => $row['op']
						);
				}	
			//Check to see if all facts are learned.
			if (sizeof($families)==0)
			{
				$_SESSION['loginerror'] = "You have no unlearned math facts in the unlearned_ff_vw.";
  			header('Location: ../');
  			exit();
  		}
			//Set initial index value
			//echo 'Setting initial values which should only be done once. <br />';
			$_SESSION['ff_index']=0;
			$_SESSION['families'] = $families; 	
}

		$idx = $_SESSION['ff_index'];
		$families = $_SESSION['families'];
/*
		echo 'size of families array is ' . sizeof($families) . '<br />';
		echo '$_SESSION-ff_index is ' . $_SESSION['ff_index'] . '<br />';
		echo 'size of families is ' . sizeof($_SESSION['families']) . ' elements. <br />';
*/		
		gto('Text of operators',$families,5);
	//	echo '$_SESSION[ff_index] after adding 1 is ' . $_SESSION['ff_index'] . '.<br />';
	//Fill title string
			$title = 'Fact number ';
			$title .= $_SESSION['ff_index']+1;
			$title .= ' of ';
			$title .= sizeof($_SESSION['families']);
			$title .= '. <br />';
	//Fill operator string
			if (substr($families[$idx]['op'],0,3)=='Add')
			{
				$op1=' + ';
				$op2=' - ';
				$art = 'an';
			}
			else
			{
				$op1=' X ';
				$op2=' &divide; ';
				$art = 'a';
			}
		//Set variable for number of problems for a given fact_family
			if ($families[$idx]['fnum']==$families[$idx]['snum'])
				$ffs='two';
			else
				$ffs='four';
/*			
		 $studyfact = $families[$idx]['fnum'] . $op1 . $families[$idx]['snum'] . ' = ' . $families[$idx]['tnum'] . '<br />'
								. $families[$idx]['snum'] . $op1 . $families[$idx]['fnum'] . ' = ' . $families[$idx]['tnum'] . '<br />'
								. $families[$idx]['tnum'] . $op2 . $families[$idx]['fnum'] . ' = ' . $families[$idx]['snum'] . '<br />'
								. $families[$idx]['tnum'] . $op2 . $families[$idx]['snum'] . ' = ' . $families[$idx]['fnum'];
*/
	//Code above replaced on 10/10/2009 to be more helpful to students
		
		$studyfact = 'These three numbers form ' . $art . ' <br>' . $families[$idx]['op']
							 . ' fact family:<br>'
							 . $families[$idx]['fnum'] . ', ' . $families[$idx]['snum']
							 . ', ' . $families[$idx]['tnum'] . '<br>'
							 . 'Think about what problems with <br> these numbers would look like.<br>'
							 . 'Then say out loud the ' . $ffs . '<br> problems for these numbers.';
		
	//Increment or reset pointer
		if ($_SESSION['ff_index']<sizeof($_SESSION['families'])-1)
			$_SESSION['ff_index'] +=1;
		else
			$_SESSION['ff_index'] =0;
		include 'study.html.php';
	 	exit();

?>